OtpErlangBoolean (Java-Erlang Interface Library)

Package com.ericsson.otp.erlang

## Class OtpErlangBoolean

- java.lang.Object
- - com.ericsson.otp.erlang.OtpErlangObject
  - - com.ericsson.otp.erlang.OtpErlangAtom
    - - com.ericsson.otp.erlang.OtpErlangBoolean

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class OtpErlangBoolean
      extends OtpErlangAtom

  Provides a Java representation of Erlang booleans, which are special cases of atoms with values 'true' and 'false'.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ericsson.otp.erlang.OtpErlangObject

      `OtpErlangObject.Hash`

  - ### Field Summary

    - ### Fields inherited from class com.ericsson.otp.erlang.OtpErlangAtom

      `maxAtomLength`

    - ### Fields inherited from class com.ericsson.otp.erlang.OtpErlangObject

      `hashCodeValue`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpErlangBoolean​(boolean t)` | Create a boolean from the given value
    `OtpErlangBoolean​(OtpInputStream buf)` | Create a boolean from a stream containing an atom encoded in Erlang external format.

  - ### Method Summary

    - ### Methods inherited from class com.ericsson.otp.erlang.OtpErlangAtom

      `atomValue, booleanValue, doHashCode, encode, equals, toString`

    - ### Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject

      `bind, clone, decode, hashCode, match`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OtpErlangBoolean

          public OtpErlangBoolean​(boolean t)

      Create a boolean from the given value
      Parameters:
        `t` - the boolean value to represent as an atom.

    - #### OtpErlangBoolean

          public OtpErlangBoolean​(OtpInputStream buf)
                           throws OtpErlangDecodeException

      Create a boolean from a stream containing an atom encoded in Erlang external format. The value of the boolean will be true if the atom represented by the stream is "true" without regard to case. For other atom values, the boolean will have the value false.
      Throws:
        `OtpErlangDecodeException` - if the buffer does not contain a valid external representation of an Erlang atom.